/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAgreement;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class CommissionAgreement {
    public void makeCommissionAgreement() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Vector calcDirectCommissionsForProductSaleDetails() {
        return new Vector();
    }

    public BigDecimal determineCommissionAtDistanceFromAgreementNode() {
        return new BigDecimal(0);
    }

    public Vector mi_calcTotalCommissionsDuringAgreement() {
        return new Vector();
    }

    public Vector listProductDescsAndCommissions() {
        return new Vector();
    }

    public Vector listParticipantsAndPercentages() {
        return new Vector();
    }

    public static Vector listCommissionAgreements() {
        return new Vector();
    }

    private String number;
    private int interval;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private CommissionAgreementDetail lnkUnnamed1;

    /** @supplierCardinality 1 */
    private IMakeCommissionAgreement lnkUnnamed2;

    /**
     * @supplierCardinality 1
     * @supplierRole agreement node
     * @clientCardinality 0..*
     */
    private NodeLinkedInCommissionNet lnkUnnamed;
    private int status;
}


